/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  width: 100%;
  height: 100%;

  display: flex;
  flex-flow: column;
}

.map {
  height: 100%;
  width: 100%;
  position: relative;
  overflow: hidden;
  box-sizing: border-box;
  border: 1px solid $openk-form-border;
}

.map--leaflet {
  width: 100%;
  height: 100%;
}

.map--button {
  display: block;
  width: fit-content;
  height: fit-content;
  position: absolute;
  bottom: 10px;
  left: 10px;
  z-index: 1000;
}

.map--search {
  display: flex;
  width: fit-content;
  height: fit-content;
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 1000;
  align-items: center;
}

.sub-caption {
  color: $openk-form-border;
  margin-left: auto;
  font-size: smaller;
  font-style: italic;
}

.progress-spinner {
  padding: 0 0.0275em;
  transition: opacity 75ms ease-out;
}

.map--search--input {
  margin-right: 0.25em;
}

.map--search--btn {
  padding: 0.175em;
}

.map--search--icon {
  padding: 0;
}
